### File

`packages/components/eui-select/eui-select-option.directive.ts`

### Description

Marks `<option>` as dynamic, so Angular can be notified when options change.

See `EuiSelectControlValueAccessor`

### Extends

`NgSelectOption`

### Implements

`OnDestroy` `OnChanges` `AfterViewInit`

### Metadata

Selector | `option:not([eclSelectOption]):not([eclMultiselectOption]), option[euiOption]`

### Index

###### Inputs
label ngValue selected
###### Accessors
ngValue

### Constructor

`constructor()`

### Inputs

label
Type : `string`

ngValue
Type : `any`

selected
Type : `boolean`

### Accessors

ngValue
set `ngValue(value: any)`
Tracks the value bound to the option element. Unlike the value binding, ngValue supports binding to objects. Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

# results matching ""

# No results matching ""